Page MenuHomePhabricator

[flang] Use the equivalent compilation flags with MSVC.
AbandonedPublic

Authored by ChinouneMehdi on Apr 15 2020, 2:31 AM.

Details

Reviewers
jdoerfert
DavidTruby
Group Reviewers
Restricted Project

Diff Detail

Event Timeline

ChinouneMehdi created this revision.Apr 15 2020, 2:31 AM
ChinouneMehdi created this object with visibility "All Users".
ChinouneMehdi created this object with edit policy "Subscribers".
Herald added a project: Restricted Project. · View Herald Transcript
isuruf added a subscriber: isuruf.Apr 15 2020, 4:40 AM

Using https://github.com/flang-compiler/f18/pull/1095/files should add -fno-rtti and -fno-exceptions automatically on unix and add the equivalent flags on windows as well.

Using https://github.com/flang-compiler/f18/pull/1095/files should add -fno-rtti and -fno-exceptions automatically on unix and add the equivalent flags on windows as well.

Yes, but what about tests and other libraries ?

DavidTruby accepted this revision as: DavidTruby.Apr 15 2020, 6:12 AM
DavidTruby added a subscriber: DavidTruby.

At a first glance this looks good to me, but I am not that familiar with MSVC. I can approve but someone with more Windows experience should approve as well before you commit.

This revision is now accepted and ready to land.Apr 15 2020, 6:12 AM

Yes, but what about tests and other libraries ?

I think tests are fine if they don't use it. Using add_flang_library should make flang consistent with the rest of LLVM.

ChinouneMehdi changed the visibility from "All Users" to "Public (No Login Required)".Apr 15 2020, 2:07 PM
ChinouneMehdi changed the edit policy from "Subscribers" to "All Users".Apr 17 2020, 11:49 AM
ChinouneMehdi abandoned this revision.Apr 20 2020, 1:00 PM

Superseded by D78306